## elinks 0.16.1.1-4.1ubuntu3trisquel1

=== debian/changelog ===
elinks (0.16.1.1-4.1ubuntu3trisquel1) ecne; urgency=medium

  * Rebuild as dependency of aptitude for i386

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Thu, 02 Oct 2025 04:19:02 +0000
