=== contrib/proxy/Makefile ===
all: /tmp/log gen
	./gen

gen: gen.c
	$(CC) -g -o $@ $<
