=== src/formhist/Makefile ===
top_builddir=../..
include $(top_builddir)/Makefile.config

OBJS = formhist.o dialogs.o

include $(top_srcdir)/Makefile.lib
