=== debian/changelog ===
elinks (0.18.0-2) unstable; urgency=medium

  * d/p/fix-libdomdeps.patch: fix spelling error of Description field
  * Drop redundant Rules-Requires-Root field
  * Enable sixel
  * d/control: update standards version to 4.7.2
  * Add fix-lto.patch to fix FTBFS with LTO enabled (Closes: #1015394)

 -- أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@users.sourceforge.net>  Fri, 31 Oct 2025 17:36:36 +0100

elinks (0.18.0-1) unstable; urgency=medium

  * New upstream version 0.18.0
  * Refreshed patch: 03_459467_ui.leds.enable_0.diff
  * Add fix-libdomdeps.patch to fix default value of libdomdeps to an empty
    list instead of false
  * Added define_SOCKS_SHIFT.patch to add missing definition for SOCKS_SHIFT

 -- أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@users.sourceforge.net>  Sun, 29 Dec 2024 18:40:32 +0100

elinks (0.17.1.1-2) unstable; urgency=medium

  * d/rules: disable unicode combining characters (Closes: #1089693)

 -- أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@users.sourceforge.net>  Sat, 21 Dec 2024 15:35:18 +0100

elinks (0.17.1.1-1) unstable; urgency=medium

  * New upstream version 0.17.1.1
  * Refreshed 14_debug_disable_Werror.diff patch
  * Remove fix_nonascii_inpfield.patch, applied upstream
  * Remove fix-protocol-test.patch, applied upstream
  * d/control:
    + bump standards version to 4.7.0
    + prettify build-deps list
  * Enable python hooks.
    Thanks to Dimitry Ishenko

 -- أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@users.sourceforge.net>  Fri, 06 Dec 2024 18:14:16 +0100

elinks (0.17.0-2) unstable; urgency=medium

  * Add fix_nonascii_inpfield.patch to fix a bug with input fields not
    accepting non-ASCII input.

 -- أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@users.sourceforge.net>  Fri, 26 Jul 2024 04:29:19 +0200

elinks (0.17.0-1) unstable; urgency=medium

  * New upstream version 0.17.0
  * Dropped patches applied upstream: fix-mailcap-test.diff & perl_5.38.patch
  * Refresh patches: 07_617713_cache_control.diff,
    14_debug_disable_Werror.diff
  * Added fix-protocol-test.patch to fix path for protocol.c test
  * d/rules:
    + remove sysconfdir setting (Closes: #1040656)
    + disable libcss support
    + fix typo
  * Update copyright years
  * d/control:
    + update build deps libidn-dev -> libidn2-dev
    + add libcurl4-gnutls-dev to build deps
    + update build-dep: pkg-config -> pkgconf
  * d/elinks-data.docs: README -> README.md
  * d/source.lintian-overrides: add an override for test/data.html
  * d/t/dump: add -no-home when invoking ELinks

 -- أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@users.sourceforge.net>  Thu, 11 Jul 2024 18:01:47 +0200
