=== debian/control ===
--- 
+++ 
@@ -1,24 +1,36 @@
 Source: elinks
 Section: web
 Priority: optional
-Maintainer: Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>
-XSBC-Original-Maintainer: أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@users.sourceforge.net>
-Build-Depends: debhelper-compat (= 13), libtre-dev, libgnutls28-dev, libgcrypt20-dev, libidn-dev,
-	libfsplib-dev, libgpm-dev [linux-any],
-	liblua5.3-dev, libbz2-dev, libexpat1-dev,
-	libperl-dev, libkrb5-dev, gettext,
-	xmlto, docbook-utils, pkg-config,
-  liblzma-dev,
-  libncurses-dev
+Maintainer: أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@users.sourceforge.net>
+Build-Depends: debhelper-compat (= 13)
+  ,libtre-dev
+  ,libgnutls28-dev
+  ,libgcrypt20-dev
+  ,libidn2-dev
+  ,libfsplib-dev
+  ,libgpm-dev [linux-any]
+  ,liblua5.3-dev
+  ,libbz2-dev
+  ,libexpat1-dev
+	,libperl-dev
+  ,libkrb5-dev
+  ,gettext
+  ,xmlto
+  ,docbook-utils
+  ,pkgconf
+  ,liblzma-dev
+  ,libncurses-dev
   ,libev-libevent-dev
   ,python3
   ,dblatex
   ,zlib1g-dev
   ,libbrotli-dev
   ,meson
+  ,libcurl4-gnutls-dev
+  ,libpython3-dev
+  ,libsixel-dev
 Build-Conflicts: libgc-dev
-Standards-Version: 4.6.2
-Rules-Requires-Root: no
+Standards-Version: 4.7.2
 Homepage: https://github.com/rkd77/elinks/
 Vcs-Git: https://salsa.debian.org/aelmahmoudy/elinks.git
 Vcs-Browser: https://salsa.debian.org/aelmahmoudy/elinks
