=== debian/tests/control ===
Tests: dump
Depends: elinks

#Tests: session
#Depends: elinks, screen

Tests: basic-usage
Depends: @, nginx
Restrictions: needs-root
