=== debian/watch ===
version=4

opts=downloadurlmangle=s#archive/refs/tags/v(.*)\.tar\.gz#releases/download/v$1/@PACKAGE@-$1\.tar\.xz# \
https://github.com/rkd77/@PACKAGE@/tags \
   (?:.*?/)?v?([\d.]*)@ARCHIVE_EXT@
