## elinks 0.19.0

=== src/terminal/Makefile ===
top_builddir=../..
include $(top_builddir)/Makefile.config

OBJS-$(CONFIG_KITTY) += kitty.o map.obj
OBJS-$(CONFIG_MOUSE) += mouse.o
OBJS-$(CONFIG_LIBSIXEL) += sixel.o
OBJS-$(CONFIG_TERMINFO) += terminfo.o

OBJS = \
 color.o \
 draw.o \
 event.o \
 hardio.o \
 image.o \
 kbd.o \
 screen.o \
 tab.o \
 terminal.o \
 window.o

include $(top_srcdir)/Makefile.lib
