=== src/js/quickjs/Makefile ===
top_builddir=../../..
include $(top_builddir)/Makefile.config

OBJS = attr.o attributes.o collection.o console.o css.o customevent.o dataset.o document.o domparser.o domrect.o \
	element.o event.o form.o forms.o fragment.o heartbeat.o history.o image.o implementation.o input.o \
	keyboard.o localstorage.o location.o mapa.o message.o navigator.o node.o nodelist.o nodelist2.o performance.o \
	screen.o style.o text.o tokenlist.o unibar.o url.o urlsearchparams.o window.o xhr.o

include $(top_srcdir)/Makefile.lib
