=== src/js/spidermonkey/Makefile ===
top_builddir=../../..
include $(top_builddir)/Makefile.config
INCLUDES += $(SPIDERMONKEY_CFLAGS)

OBJS = attr.obj attributes.obj collection.obj console.obj css.obj customevent.obj dataset.obj document.obj domparser.obj domrect.obj \
	element.obj event.obj form.obj forms.obj fragment.obj heartbeat.obj history.obj image.obj implementation.obj input.obj \
	keyboard.obj localstorage.obj location.obj message.obj navigator.obj node.obj nodelist.obj nodelist2.obj performance.obj \
	screen.obj style.obj text.obj tokenlist.obj unibar.obj url.obj urlsearchparams.obj window.obj xhr.obj

include $(top_srcdir)/Makefile.lib
