=== debian/changelog ===
elinks (0.19.0-2) unstable; urgency=medium

  * Add fix-session-save.patch to fix session positions save/restore
  * d/control: drop redundant Priority: optional field
  * d/control: bump standards version to 4.7.3

 -- أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@users.sourceforge.net>  Fri, 16 Jan 2026 23:31:16 +0100

elinks (0.19.0-1) unstable; urgency=medium

  * New upstream version 0.19.0
  * Drop sixel support, as it requires libdom.
  * Remove define_SOCKS_SHIFT.patch, fix-libdomdeps.patch & fix-lto.patch,
    applied upstream
  * Refresh patches: 03_459467_ui.leds.enable_0.diff, 04_436817_nostrip.diff,
    07_617713_cache_control.diff & 14_debug_disable_Werror.diff
  * d/rules: enable spartan protocol
  * d/t/dump: update reference dump

 -- أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@users.sourceforge.net>  Fri, 02 Jan 2026 19:34:43 +0100
