=== debian/control ===
--- 
+++ 
@@ -1,6 +1,5 @@
 Source: elinks
 Section: web
-Priority: optional
 Maintainer: أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@users.sourceforge.net>
 Build-Depends: debhelper-compat (= 13)
   ,libtre-dev
@@ -28,9 +27,8 @@
   ,meson
   ,libcurl4-gnutls-dev
   ,libpython3-dev
-  ,libsixel-dev
 Build-Conflicts: libgc-dev
-Standards-Version: 4.7.2
+Standards-Version: 4.7.3
 Homepage: https://github.com/rkd77/elinks/
 Vcs-Git: https://salsa.debian.org/aelmahmoudy/elinks.git
 Vcs-Browser: https://salsa.debian.org/aelmahmoudy/elinks
